# -*- coding: utf-8 -*-
"""Introdução a Machine Learning e Classificação.ipynb

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/1mx2CPqz3vCi-iiwtokJg0gn8KPTco5xj
"""

# features (1 sim, 0 não)
# pelo longo?
# perna curta?
# faz auau?
porco1 = [0, 1 ,0]
porco2 = [0, 1, 1]
porco3 = [1, 1, 0]

cachorro1 = [0,1,1]
cachorro2 = [1,0,1]
cachorro3 = [1,1,1]

# 1=> porco, 0 = cachorro
treino_x = [porco1, porco2, porco3, cachorro1, cachorro2, cachorro3]
treino_y = [1, 1, 1, 0, 0, 0]

from sklearn.svm import LinearSVC

model = LinearSVC()
model.fit(treino_x, treino_y)

animal_misterioso = [1,1,1]
model.predict([animal_misterioso])

misterio1 = [1,1,1]
misterio2 = [1,1,0]
misterio3 = [0,1,1]
misterio4 = [1,1,0]
misterio5 = [0,0,0]

teste_x = [misterio1,misterio2,misterio3,misterio4,misterio5]
teste_y = [0, 1, 1, 0, 0]
previsoes = model.predict(teste_x)

previsoes

corretos = (previsoes == teste_y).sum()

total = len(teste_x)

taxa_de_acertos = corretos/total

print(f'Taxa de acertos: {taxa_de_acertos * 100}%')

from sklearn.metrics import accuracy_score

taxa_de_acertos = accuracy_score(teste_y, previsoes)
print(f'Taxa de acertos: {taxa_de_acertos * 100}%')

